package com.tmerclub.cloud.cuerecycle.constant;

/**
 * 订单状态
 *
 * @author: frank
 * @create: 2025-04-15
 **/
public enum CueOrderStatus {


    PENDING_AUDIT(0, "待审核"),
    AUDIT_PASS(1, "审核通过"),
    AUDIT_FAIL(2, "审核拒绝"),
    PENDING_DELIVERY(3, "待发货"),
    PENDING_RECEIPT(4, "待收货"),
    RECEIPT_EVALUATION(5, "已收货(评估中)"),
    EVALUATION_FAIL(6, "评估失败(退回)"),
    EVALUATION_SUCCESS(7, "评估成功"),
    COMPLETED(8, "已完成"),
    PRICE_UNSATISFIED(9, "价格不满意(退回)");

    private final Integer num;
    private final String description;

    public Integer value() {
        return num;
    }

    CueOrderStatus(Integer num, String description) {
        this.num = num;
        this.description = description;
    }
}
